<?php
$urlParse = parse_url($_SERVER['REQUEST_URI']);
$urlPath = $urlParse['path'];
$urlQuery = $urlParse['query'];
if($urlQuery == '')
{
	$module=(isset($_REQUEST['vis_module']) && $_REQUEST['vis_module']!='')?$_REQUEST['vis_module']:"ticket";
    $operation=(isset($_REQUEST['vis_operation']) && $_REQUEST['vis_operation']!='')?$_REQUEST['vis_operation']:"new_ticket_step_one";
    $_REQUEST['departmentid']=1;
}
else if(empty($_REQUEST) && !empty($urlQuery))
{
	$urlQuery = explode('/',$urlQuery);
	$module = $urlQuery[1];
	$operation =$urlQuery[2];
	$_REQUEST['departmentid'] = '/'.$urlQuery[3];
}
else
{
	$module = $_REQUEST["vis_module"];
	$operation = $_REQUEST["vis_operation"];
}
$_REQUEST["vis_module"]=$module; $_GET["vis_module"]=$module; $_POST["vis_module"]=$module;
$_REQUEST["vis_operation"]=$operation; $_GET["vis_operation"]=$operation; $_POST["vis_operation"]=$operation;
$_REQUEST['departmentid']=1;
$_REQUEST["vis_action"] = '/'.$_REQUEST["vis_module"].'/'.$_REQUEST["vis_operation"];

ob_start();
$request_data = $_REQUEST;
global $request_data;
require_once (dirname(__FILE__) ."/integrate.php");
$_ticketdetails = ob_get_contents();
ob_end_clean();

$smarty->assign('vis_default_data', $_ticketdetails);

$templatefile="default";

?>